
From: "Luiz Fernando N. Capitulino" <lcapitulino@conectiva.com.br>

drivers/net/cs89x0.c: In function `net_close':
drivers/net/cs89x0.c:1601: warning: unused variable `lp'

 'lp'is only used when ALLOW_DMA is defined.

Signed-off-by: Luiz Capitulino <lcapitulino@conectiva.com.br>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/cs89x0.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/net/cs89x0.c~fix-drivers-net-cs89x0c-warning drivers/net/cs89x0.c
--- 25/drivers/net/cs89x0.c~fix-drivers-net-cs89x0c-warning	Wed Sep  1 15:10:26 2004
+++ 25-akpm/drivers/net/cs89x0.c	Wed Sep  1 15:10:26 2004
@@ -1598,7 +1598,9 @@ static void release_dma_buff(struct net_
 static int
 net_close(struct net_device *dev)
 {
+#if ALLOW_DMA
 	struct net_local *lp = netdev_priv(dev);
+#endif
 
 	netif_stop_queue(dev);
 	
_
